Results 1 to 3 of 3

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: Need to upgrade 3G to v3.0

  1. #1
    Default Need to upgrade 3G to v3.0
    Hi All,

    I need to install some applications on my iPhone 3G (Version 2.2 (5G77, Modem firmware 02.28.00 which require 3.0 firmware as a minimum.

    I understand that at present there is no unlock for 3.1

    Is there any way I can at least upgrade the phone to 3.0 and keep my carrier unlock?

    TIA
    Darren

  2. #2
    Retired Moderator Poseidon79's Avatar
    Join Date
    Jan 2008
    Location
    Austin, TX
    Posts
    8,264
    Thanks
    819
    Thanked 1,681 Times in 1,159 Posts

    Download the correct 3.0 firmware from the download section. Plug into iTunes... hold shift and hit restore... select the firmware file you just downloaded. After it's done use redsn0w to jailbreak and ultrasn0w to unlock.

  3. #3
    Better to install 3.01 (not 3.1) then JB using 3.0 ipsw
    He who asks a question looks foolish for 5 minutes. He who doesn't ask a question remains foolish forever.

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •